Package ghidra.util.table.field

# Class AddressTableDataTableColumn

java.lang.Object
docking.widgets.table.AbstractDynamicTableColumn<ghidra.app.plugin.core.disassembler.AddressTable,String,Program>
docking.widgets.table.DynamicTableColumnExtensionPoint<ghidra.app.plugin.core.disassembler.AddressTable,String,Program>
ghidra.util.table.field.ProgramLocationTableColumnExtensionPoint<ghidra.app.plugin.core.disassembler.AddressTable,String>
ghidra.util.table.field.AddressTableDataTableColumn

All Implemented Interfaces:
  `DynamicTableColumn<ghidra.app.plugin.core.disassembler.AddressTable,String,Program>`, `ExtensionPoint`, `ProgramBasedDynamicTableColumn<ghidra.app.plugin.core.disassembler.AddressTable,String>`, `ProgramLocationTableColumn<ghidra.app.plugin.core.disassembler.AddressTable,String>`

public class AddressTableDataTableColumn extends ProgramLocationTableColumnExtensionPoint<ghidra.app.plugin.core.disassembler.AddressTable,String>
This table column displays Data for the address table associated with a row in the table.

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `FLOATING_POINT_PRECISION_SETTING, FLOATING_POINT_SETTINGS_DEFINITIONS, INTEGER_RADIX_SETTING, INTEGER_SETTINGS_DEFINITIONS, INTEGER_SIGNEDNESS_MODE_SETTING, NO_SETTINGS_DEFINITIONS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressTableDataTableColumn()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColumnDisplayName(Settings settings)`
  Determines the column heading that will be displayed.
  `String`
  `getColumnName()`
  Determines the unique column heading that may be used to identify a column instance.
  `GColumnRenderer<String>`
  `getColumnRenderer()`
  Returns the optional cell renderer for this column; null if no renderer is used.
  `ProgramLocation`
  `getProgramLocation(ghidra.app.plugin.core.disassembler.AddressTable rowObject, Settings settings, Program program, ServiceProvider serviceProvider)`
  Determines an appropriate program location associated with this field for the indicated row object.
  `String`
  `getValue(ghidra.app.plugin.core.disassembler.AddressTable rowObject, Settings settings, Program pgm, ServiceProvider serviceProvider)`
  Creates an object that is appropriate for this field (table column) and for the object that is associated with this row of the table.

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `equals, getColumnClass, getColumnDescription, getColumnPreferredWidth, getComparator, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.widgets.table.DynamicTableColumn

  `getColumnClass, getColumnDescription, getColumnPreferredWidth, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier`

- ## Constructor Details

  - ### AddressTableDataTableColumn

    public AddressTableDataTableColumn()

- ## Method Details

  - ### getColumnDisplayName

    public String getColumnDisplayName(Settings settings)
    Description copied from interface: `DynamicTableColumn`
    Determines the column heading that will be displayed.
    Specified by:
      `getColumnDisplayName` in interface `DynamicTableColumn<ghidra.app.plugin.core.disassembler.AddressTable,String,Program>`
    Overrides:
      `getColumnDisplayName` in class `AbstractDynamicTableColumn<ghidra.app.plugin.core.disassembler.AddressTable,String,Program>`
    Parameters:
      `settings` - the settings
    Returns:
      the field name to display as the column heading.

  - ### getColumnName

    public String getColumnName()
    Description copied from interface: `DynamicTableColumn`
    Determines the unique column heading that may be used to identify a column instance. This name must be non-changing and is used to save/restore state information.
    Specified by:
      `getColumnName` in interface `DynamicTableColumn<ghidra.app.plugin.core.disassembler.AddressTable,String,Program>`
    Specified by:
      `getColumnName` in class `AbstractDynamicTableColumn<ghidra.app.plugin.core.disassembler.AddressTable,String,Program>`
    Returns:
      the field instance name.

  - ### getValue

    public String getValue(ghidra.app.plugin.core.disassembler.AddressTable rowObject, Settings settings, Program pgm, ServiceProvider serviceProvider) throws IllegalArgumentException
    Description copied from interface: `DynamicTableColumn`
    Creates an object that is appropriate for this field (table column) and for the object that is associated with this row of the table.
    Specified by:
      `getValue` in interface `DynamicTableColumn<ghidra.app.plugin.core.disassembler.AddressTable,String,Program>`
    Specified by:
      `getValue` in class `AbstractDynamicTableColumn<ghidra.app.plugin.core.disassembler.AddressTable,String,Program>`
    Parameters:
      `rowObject` - the object associated with the row in the table.
      `settings` - field settings
      `pgm` - the expected data object, as defined by the DATA_SOURCE type
      `serviceProvider` - the `ServiceProvider` associated with the table.
    Returns:
      the object for the model to display in the table cell.
    Throws:
      `IllegalArgumentException` - if the rowObject is not one supported by this class.

  - ### getProgramLocation

    public ProgramLocation getProgramLocation(ghidra.app.plugin.core.disassembler.AddressTable rowObject, Settings settings, Program program, ServiceProvider serviceProvider)
    Description copied from interface: `ProgramLocationTableColumn`
    Determines an appropriate program location associated with this field for the indicated row object. The most probable use is for navigating from the field.
    Parameters:
      `rowObject` - the object associated with the table row.
      `settings` - field settings
      `program` - the program associated with the table.
      `serviceProvider` - the plugin tool associated with the table.
    Returns:
      the address associated with the field.

  - ### getColumnRenderer

    public GColumnRenderer<String> getColumnRenderer()
    Description copied from interface: `DynamicTableColumn`
    Returns the optional cell renderer for this column; null if no renderer is used.

    This method allows columns to define custom rendering. The interface returned here ensures that the text used for filtering matches what the users sees (via the `GColumnRenderer.getFilterString(Object, Settings)` method).

    Note: some types should not make use of the aforementioned filter string. These types include the `Number` wrapper types, `Date` and `Enum`s. (This is because the filtering system works naturally with these types.) See `GColumnRenderer`.

    Specified by:
      `getColumnRenderer` in interface `DynamicTableColumn<ghidra.app.plugin.core.disassembler.AddressTable,String,Program>`
    Overrides:
      `getColumnRenderer` in class `AbstractDynamicTableColumn<ghidra.app.plugin.core.disassembler.AddressTable,String,Program>`
    Returns:
      the renderer